> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-cursor-proxy-indicator-and-text-6cda.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Skill

> Execute a skill with the provided parameters.



## OpenAPI

````yaml cloud/openapi/v2.json post /skills/{skill_id}/execute
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills/{skill_id}/execute:
    post:
      tags:
        - Skills
      summary: Execute Skill
      description: Execute a skill with the provided parameters.
      operationId: execute_skill_skills__skill_id__execute_post
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Skill Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteSkillRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteSkillResponse'
        '400':
          description: Skill is not finished or not enabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillNotFinishedError'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsufficientCreditsError'
        '404':
          description: Skill not found, no code available, or project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many concurrent active sessions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyConcurrentActiveSessionsError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExecuteSkillRequest:
      properties:
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
          description: Parameters to pass to the skill handler
        sessionId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Sessionid
          description: Optional session ID (UUID) for IP persistence.
      type: object
      title: ExecuteSkillRequest
      description: Request to execute a skill.
    ExecuteSkillResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the skill execution was successful
        result:
          anyOf:
            - {}
            - type: 'null'
          title: Result
          description: Output of the skill execution
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if the skill execution failed
        stderr:
          anyOf:
            - type: string
            - type: 'null'
          title: Stderr
          description: Standard error output of the skill execution
        latencyMs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latency in ms
          description: Latency of the skill execution in milliseconds
      type: object
      required:
        - success
      title: ExecuteSkillResponse
      description: Response from executing a skill.
    SkillNotFinishedError:
      properties:
        detail:
          type: string
          title: Detail
          default: Skill is not finished
      type: object
      title: SkillNotFinishedError
      description: Error response when skill is not finished
    InsufficientCreditsError:
      properties:
        detail:
          type: string
          title: Detail
          default: Insufficient credits
      type: object
      title: InsufficientCreditsError
      description: Error response when there are insufficient credits
    SkillNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Skill not found
      type: object
      title: SkillNotFoundError
      description: Error response when a skill is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TooManyConcurrentActiveSessionsError:
      properties:
        detail:
          type: string
          title: Detail
          default: >-
            Too many concurrent active sessions. Please wait for one to finish,
            kill one, or upgrade your plan.
      type: object
      title: TooManyConcurrentActiveSessionsError
      description: Error response when user has too many concurrent active sessions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````